> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Test Suite

> Update a test suite by ID

## Request

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

<ParamField path="testSuiteId" type="string" required>The test suite ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

### Body

<ParamField body="name" type="string">
  Updated name for the test suite
</ParamField>

<ParamField body="testCaseIds" type="array">
  Updated array of test case IDs (replaces all existing connections)
</ParamField>

## Response

<ResponseField name="data" type="object">
  The updated test suite object.
</ResponseField>

### Example

```bash theme={null}
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated regression suite",
    "testCaseIds": ["test-case-uuid-1", "test-case-uuid-3"]
  }'
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Updated regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-3" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
